1. jaydot699's Avatar
    You only need to patch apps that require Google Play Services. Although the number of such apps grow every day, the majority do not use them.
    but the apps I'm using are requiring them. there are plenty that are downloading with no problem and that's fine (part of the reason I had to give Cobalt his well deserved props), but I'm running across more and more that are requiring it. All I was wondering was if there was a "software patch" (pardon the pun) that could be installed that would circumvent my needing to have to patch each application on an individual basis?

    If the answer is "no", then hey, "que sera sera"...
    05-04-16 12:22 PM
  2. Cobalt232's Avatar
    Not possible.
    05-04-16 12:25 PM
  3. jaydot699's Avatar
    Thanks, Cobalt.....that was all I was needing to know.

    Now I have to decide if I whether to keep the PP, switch to Priv (ewwwww), or go back to Android ()
    05-04-16 12:51 PM
  4. jaydot699's Avatar
    Eitherway, I GREATLY appreciate ALL that you've done here!!!
    05-04-16 12:52 PM
  5. menashe04's Avatar
    What can I do? Whenever I open Google play lately it doesn't stay as a full screen, it keeps on reverting back to a small active screen in the background, and I can't use the app store to download or update apps,
    Thanks
    Google Play Store for BlackBerry 10 [OUTDATED]-img_20160504_135617.png

    Posted via CB10
    05-04-16 12:57 PM
  6. anon(9742832)'s Avatar
    What permissions are you blocking?

    Why do you install the app if you believe that it isn't trustworthy?

    Do you expect the app to work without the permissions it is asking for?
    Hi Cobalt,

    The apps I am talking about are news like CNN. They want access to your contacts and photos. When I download with Snap I can then block these parts. But when I use your system, the APK blocker cannot make the changes, do you think it is because it is patched to stop asking for Google Services. None of the apps are ones I worry about, I just dont like giving up info if it is not really required. I hope you know I in know way am accusing you of anything....Just asking.
    05-04-16 03:47 PM
  7. anon(9742832)'s Avatar
    I am talking to Cobalt about this, I did notice that it acts as if the APK program had patched the program already. Once you patch an app to block certain things you cannot go back and patch again. This might be a glitch when an app is altered. Thank you for answering I will let you know what Cobalt comes up with...Woof!
    05-04-16 04:27 PM
  8. ssbtech's Avatar
    Stuck here...

    App returns error: Couldn't sign in, There was a problem communicating with Google Servers. Try again later.



    Step 1: Add a Google system account to your device
    Install com.google.android.gsf.login. Run the app and login with your Google credentials. The app will close (minimize) if the step completed successfully (may take a few seconds). You should now be able to see your Google account in Blackberry Settings -> Accounts -> Third Party Accounts.
    05-05-16 09:31 PM
  9. koolaje's Avatar
    I actually have the same problem with ssbtech above.

    Using OS build 10.3.2.2876. Had a few run ins with your files (yes I was ignorant didn't follow the complete steps), but I got through it.

    Problem is with the latest Google system account file, in your web server there are 2 (com.google.android.gsf.login.4.3.3.cobalt.apk and com.google.android.gsf.login.4.4.4.cobalt.apk), which I assume the 4.4.4 is the latest one. Tried installing using 4.4.4 and during Step 2 (Registration of Account) it shows like this:

    Google Play Store for BlackBerry 10 [OUTDATED]-img_20160506_113659.png

    OK, fine, maybe I did something wrong, so deleted all apps, start over. Now using the Google system account file with version 4.3.3, moving to Step 2, registration went fine, loaded Step 3 and it showed this:

    Google Play Store for BlackBerry 10 [OUTDATED]-img_20160506_114503.png

    After learning through searching Google, most solutions is would be to remove and re-add all google accounts. I would assume that probably because I was using 4.3.3 is what caused it.

    I used 2 step authentication, removed it, still didn't work. Thanks for your work Cobalt.
    ssbtech likes this.
    05-05-16 11:58 PM
  10. ssbtech's Avatar
    I started with the 4.4.4 version, didn't try the lower version.
    I didn't have any Google accounts on my phone beforehand.
    05-06-16 12:40 AM
  11. koolaje's Avatar
    After reading Cobalt's other thread, 4.3.3 is actually the one that's recommended to use. So let's wait and see.
    05-06-16 01:08 AM
  12. Cobalt232's Avatar
    4.4.4 only works if Play Services is installed. If you don't have Play Services installed, you must use 4.3.3.
    05-06-16 06:10 AM
  13. koolaje's Avatar
    4.4.4 only works if Play Services is installed. If you don't have Play Services installed, you must use 4.3.3.
    Was using com.google.android.gsf.login.4.3.3.cobalt.apk, then updated to com.google.android.gsf.login.4.4.4.cobalt.apk. I already installed the Play Services (com.google.android.gms-8.4.89-cobalt-build5.apk). The play store still shows "Error retreiving information from server". Do I have to reinstall from the beginning again for the 4.4.4 to work? Did I do something wrong?

    Trying to patch using 1.4 on a Gmap File I got from apkmirror: com.google.android.apps.maps_9.25.1-925101010_minAPI17(arm64-v8a,armeabi-v7a,mips,x86,x86_64)(nodpi).apk. hopefully it works.
    05-06-16 07:33 AM
  14. JanSedlacek's Avatar
    Hi I have the BB Q10 (got it 2 days ago) and need some apps (smartbanking) which I was not able to convert to .bar because it always made me the All in one installer instead of the app.
    So i decided to install the playstore and after i followed all the instructions I was able to install 2 of the 3 apps, but when I want to install the play store, it shows always the same message: Application could not be installed.. (only in czech language, since im from Czech Rep. )
    Would someone please help me a bit, Im new to BB and dont want to go away from it just because of my stupid bank...
    Thanks and sorry for my bad english
    (P.S. I know maybe its already here somwhere, but its like hell to read all the backlog )
    05-06-16 12:04 PM
  15. conbrio29's Avatar
    I keep getting the "Error retrieving information from server" error.

    Posted via CB10
    05-06-16 03:42 PM
  16. Smokeaire's Avatar
    Hi I have the BB Q10 (got it 2 days ago) and need some apps (smartbanking) which I was not able to convert to .bar because it always made me the All in one installer instead of the app.
    So i decided to install the playstore and after i followed all the instructions I was able to install 2 of the 3 apps, but when I want to install the play store, it shows always the same message: Application could not be installed.. (only in czech language, since im from Czech Rep. )
    Would someone please help me a bit, Im new to BB and dont want to go away from it just because of my stupid bank...
    Thanks and sorry for my bad english
    (P.S. I know maybe its already here somwhere, but its like hell to read all the backlog )
    I'm don't know if you want to try this to install the bar file:
    http://forums.crackberry.com/showthread.php?p=10819104
    It's mainly used to install BlackBerry OSs but can be used to install other bar files.
    05-06-16 04:05 PM
  17. JanSedlacek's Avatar
    IŽll try it, thank you
    05-06-16 04:33 PM
  18. Smokeaire's Avatar
    IŽll try it, thank you
    Just remember that if it is an app that requires patching to work you won't have any success until you can get the apk to patch.
    Using Sachesi is something you would have wanted to learn sometime in the future.
    Good luck and success.
    05-06-16 04:45 PM
  19. JamesW_UK's Avatar
    Hi I have the BB Q10 (got it 2 days ago) and need some apps (smartbanking) which I was not able to convert to .bar because it always made me the All in one installer instead of the app.
    So i decided to install the playstore and after i followed all the instructions I was able to install 2 of the 3 apps, but when I want to install the play store, it shows always the same message: Application could not be installed.. (only in czech language, since im from Czech Rep. )
    Would someone please help me a bit, Im new to BB and dont want to go away from it just because of my stupid bank...
    Thanks and sorry for my bad english
    (P.S. I know maybe its already here somwhere, but its like hell to read all the backlog )
    Hi,

    You might find that your Android banking app doesn't work even after you do patch it, and have all of Colbolt's excellent files installed.. there is some sort of extra security measure in the ones I've tried that fails when run on OS10. For example, the British bank 'Barclays' has an Android app and although it patches successfully, it just will not run on BBs.

    Have a look at this forum thread; http://forums.crackberry.com/bb10-le...anking-981206/ - there are others too.

    I'm just saying it might be a waste of time trying to get it patched, when it may not work anyway.

    Ask if anyone else can confirm that they have got it working, perhaps in a Czech Republic-specific forum where it's more likely someone else who has tried it will read it.

    What bank is it for? I'd be happy to download their app and try to patch and install it on my own fully Colbolt-installed Z10 for you, if that would help? That will help prove it will run, if at all, hopefully.

    Post the name or Playstore link here or private message me with it and I'll do my best.

    Hope that helps.

    Regards

    James


    Posted via CB10
    Last edited by JamesW_UK; 05-07-16 at 07:36 AM. Reason: reworded and removed text re: encryption.
    JanSedlacek likes this.
    05-07-16 02:04 AM
  20. JanSedlacek's Avatar
    Thx James, you were right, i asked in the bank and was told that if its not downloaded from playstore it wonŽt work or something like this, he didnŽt even know about BB LOL
    05-07-16 03:10 PM
  21. xx7774's Avatar
    Hey, stuck @ the first step. I get "unable to open the file" when trying to run com.google.android.gsf.login.4.3.3.

    BB - Z10 - 10.3.2.2474

    I have allowed installing apps from other sources

    Any ideas?
    Last edited by xx7774; 05-07-16 at 09:36 PM.
    05-07-16 09:10 PM
  22. Rico4you's Avatar
    Hey, stuck @ the first step. I get "unable to open the file" when trying to run com.google.android.gsf.login.4.3.3.

    BB - Z10 - 10.3.2.2474

    I have allowed installing apps from other sources

    Any ideas?
    Did you save files as APK? Add to name before saving:

    .apk

    Regards

    Posted via Passport SE Maximus Productivity
    05-07-16 11:12 PM
  23. JamesW_UK's Avatar
    Thx James, you were right, i asked in the bank and was told that if its not downloaded from playstore it wonŽt work or something like this, he didnŽt even know about BB LOL
    Hi Jan,

    Ah,sorry to hear that. I had a feeling that might be case from my own experiences.

    Still, it doesn't mean it won't run after patching.. it doesn't cost anything except a bit of time to try it..and you don't have anything to lose..

    Again, I'm happy to download, patch and install it myself on my OS10 Z10 and see if it even starts up and gives me the log on screen.

    Post or private message me the playstore link, or bank / app name, and I'll do my best and let you know how it goes.

    My own bank who won't support Blackberry with an app just tell me and others to 'use your browser to bank online '... is that something you can do too, instead perhaps?

    Regards

    James

    Posted via CB10
    05-08-16 01:50 AM
  24. anon(9868126)'s Avatar
    im not able to install google account manager please help :'( im with bb classic
    05-09-16 06:43 AM
  25. My BlackBerry-10's Avatar
    http://forums.crackberry.com/showthread.php?t=1072985
    Google Play Store for BlackBerry 10 [OUTDATED]-img_20160510_030553.png

    what do you think cobalt232 ?

    Posted via CB10
    05-09-16 03:14 PM
6,718 ... 202203204205206 ...

Similar Threads

  1. Looking for an app: Task Reports S4BB
    By Lilysterra in forum BlackBerry Bold Series
    Replies: 12
    Last Post: 12-10-19, 06:58 PM
  2. Storage full on BlackBerry Z3
    By Jobin m vadath in forum Ask a Question
    Replies: 20
    Last Post: 11-08-19, 08:42 PM
  3. Chinese KEY2 and Google Play Store and Service?
    By FallStaff in forum Ask a Question
    Replies: 1
    Last Post: 11-06-19, 05:20 PM
  4. BlackBerry Motion software update ACF202 now available
    By CrackBerry News in forum CrackBerry.com News Discussion & Contests
    Replies: 0
    Last Post: 11-06-19, 04:40 PM
  5. Downgrade OS on BlackBerry Z3?
    By Jobin m vadath in forum Ask a Question
    Replies: 3
    Last Post: 11-06-19, 01:50 PM
LINK TO POST COPIED TO CLIPBOARD